
  

# A persian (farsi,shamsi) date picker for flutter, inspired by material datetime picker.

  

A Flutter persian date picker inspired by material datetime picker and based on [shamsi_date](https://pub.dartlang.org/packages/shamsi_date).

  

You can pick date / range date /  Month / Year .

  
  

# Screenshots

|||||||
| ---------- | ---------- | ---------- | ---------- | ---------- | ---------- |
|
![Plugin example demo](images/DatePicker.png) |
![](https://drive.google.com/file/d/1G1XDr9qDsyNoZZZMDlFT1kUKUb4-3_ct/view?usp=sharing) |
![](https://drive.google.com/file/d/1G9_kZ8l7-oveVo5A0mRSkKXfcUeZxoU4/view?usp=sharing) |
![](https://drive.google.com/file/d/1S5Kw5LpkAOs5iZD3u5dMio5tNJOz6WB2/view?usp=sharing) |
![](https://drive.google.com/file/d/1Ip01GLxWaO_AFvRP814xts1XNe6Z6d8G/view?usp=sharing) |
![](https://drive.google.com/file/d/1Y0f-rT_f34_NbP6TRmzawXJS-UXt3rfX/view?usp=sharing) |

  
  

## Usage

  

Add it to your pubspec.yaml file:

  

```yaml

dependencies:

alt_persian_datetime_picker: version

```

  

In your library add the following import:

  

```dart

import 'package:alt_persian_date_picker/alt_persian_date_picker.dart';

```

  

Here is an example how to use:

  

```dart

            TextButton(
              onPressed: () {
                DatePicker.showDatePicker(
                  context,
                  PickerEnum.month,
                  theme: DatePickerTheme(
                      noneSelectedItemColor: Colors.white,
                      selectedItemColor: Colors.greenAccent,
                      disableItemColor: Colors.redAccent),
                  pickerModel: MonthPickerModel(
                    startSelectedInitDate: 4,
                    disables: [1, 5],
                  ),
                  onConfirm: (time) {
                    print("Selected month is $time");
                    _showToast(time);
                  },
                );
              },
              child: Text("ماه"),
            ),
```

## Date time picker parameters and events

| Parameter  | Type | Default | Description |
|-------------------------|---------------------|-----------------------------------------|------------------------------------------------------------------------------                                                                            |
| type| `PickerEnum`| Has 4 values(`month`,`year`,`date`,`rangedate`)|
| headerType| `HeaderType`| Has 3 values(`seprated `,`mix`,`writable`)|
| disable| `String` or `List<String>`|null| Disable dates |
| theme| `DatePickerTheme`| | You can add your style to each part of date picker |
| onConfirm| `Function(String)`| | This event return a String date |



##Pull request and feedback are always appreciated.

###Contact me with `ali.tazik@gmail.com`.

